Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.cfg
Class FieldMapping

    java.lang.Object
      org.hibernate.search.cfg.FieldMapping

    public class FieldMapping

extends java.lang.Object

Author:
  Emmanuel Bernard

Constructor Summary
`FieldMapping(PropertyDescriptor property, EntityDescriptor entity, SearchMapping mapping)`

Method Summary
`FieldMapping` | `analyzer(java.lang.Class<?> analyzerClass)`
`FieldMapping` | `analyzer(java.lang.String analyzerDef)`
`AnalyzerDefMapping` | `analyzerDef(java.lang.String name, java.lang.Class<? extends org.apache.solr.analysis.TokenizerFactory> tokenizerFactory)`
`FieldMapping` | `boost(float boost)`
`FieldBridgeMapping` | `bridge(java.lang.Class<?> impl)`
`CalendarBridgeMapping` | `calendarBridge(Resolution resolution)`
`DateBridgeMapping` | `dateBridge(Resolution resolution)`
`EntityMapping` | `entity(java.lang.Class<?> entityType)`
`FieldMapping` | `field()`
`FieldMapping` | `index(Index index)`
`FieldMapping` | `name(java.lang.String fieldName)`
`PropertyMapping` | `property(java.lang.String name, java.lang.annotation.ElementType type)`
`FieldMapping` | `store(Store store)`
`FieldMapping` | `termVector(TermVector termVector)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FieldMapping

    public FieldMapping(PropertyDescriptor property,
                        EntityDescriptor entity,
                        SearchMapping mapping)

Method Detail

### name

    public FieldMapping name(java.lang.String fieldName)

### store

    public FieldMapping store(Store store)

### index

    public FieldMapping index(Index index)

### termVector

    public FieldMapping termVector(TermVector termVector)

### boost

    public FieldMapping boost(float boost)

### bridge

    public FieldBridgeMapping bridge(java.lang.Class<?> impl)

### analyzer

    public FieldMapping analyzer(java.lang.Class<?> analyzerClass)

### analyzer

    public FieldMapping analyzer(java.lang.String analyzerDef)

### field

    public FieldMapping field()

### property

    public PropertyMapping property(java.lang.String name,
                                    java.lang.annotation.ElementType type)

### dateBridge

    public DateBridgeMapping dateBridge(Resolution resolution)

### analyzerDef

    public AnalyzerDefMapping analyzerDef(java.lang.String name,
                                          java.lang.Class<? extends org.apache.solr.analysis.TokenizerFactory> tokenizerFactory)

### entity

    public EntityMapping entity(java.lang.Class<?> entityType)

### calendarBridge

    public CalendarBridgeMapping calendarBridge(Resolution resolution)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.